package com.platomix.api.cgi.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *
 *
 * @author jingxingxin
 * @date 2019-4-22
 *
 */
@Data
@TableName("t_api_log")
public class ApiLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 主键id */
    @TableId
    private Integer apilogId;

    /** 应用id */
    private Integer appId;

    /** 接口id */
    private Integer apiId;

    private Integer userId;

    /** 调用结果 1=成功 0=失败 */
    private Integer callResult;

    /** 调用时间 */
    private String invokeTime;

    private Date invokeDate;

    /** 接口返回时间 */
    private String responseTime;

    /** 调用入参json格式 */
    private String params;

    /** 图片路径 */
    private String imgUrl;

    private String province;

    /** 错误码 */
    private String errCode;

}
