package com.platomix.api.cgi.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 *
 * @author jingxingxin
 * @date 2019-4-22
 *
 */
@Data
@TableName("t_app")
public class App implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 编号 */
    @TableId
    private Integer appId;

    /** 应用名称 */
    private String name;

    /** 关联用户id */
    private Integer userId;

    /** 应用类型id */
    private Integer appTypeId;

    /** API Key */
    private String apiKey;

    /** Secret Key */
    private String secretKey;

    /** 创建时间 */
    private String createTime;

    /** 更新时间 */
    private String updateTime;

    /** 应用状态（1=正常 0=停用 2=待审核） */
    private Integer status;

    /** 应用描述 */
    private String description;
}