package com.platomix.api.cgi.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 *
 * @author jingxingxin
 * @date 2019-5-20
 *
 */
@Data
@TableName("t_app_api")
public class AppApi implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 主键id */
    @TableId
    private Integer appapiId;

    /** 应用id */
    private Integer appId;

    /** 接口id */
    private Integer apiId;

    /** 状态 0=待审核 1=正常使用 2=待支付 3=停用 */
    private Integer status;

    //启用/停用  0 启用 1 停用
    private Integer enable;

    /** 调用量限制 */
    private String callLimit;

    /** QPS限制 */
    private String qpsLimit;

    /** 更高QPS申请id */
    private String qpsApplyId;

    /**  */
    private String used;

}