/*
 * Copyright (c) 2018-2028, aokunsang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package com.platomix.api.cgi.support.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * http请求超时设置
 *
 * @author wookvn
 * @datetime 2024-11-22 15:53:32
 */
@Data
@Configuration
@ConfigurationProperties("http.timeout")
public class HttpTimeoutProperties {

    private int connect = 5000;

    private int write = 5000;

    private int read = 5000;
}
