/*
 * Copyright (c) 2018-2028, aokunsang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package com.platomix.api.cgi.support.properties;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * token属性类
 *
 * @author wookvn
 * @datetime 2024-11-22 15:09:31
 */
@Data
@Configuration
public class TokenProperties {

    /**
     * 加密token的key
     */
    @Value("${token.key: '94f0b8689cb099855d37b0e758c4310f'}")
    private String key;

    /**
     * 过期的天数
     */
    @Value("${token.expire.time: 3}")
    private int expireTime;
}
