package com.platomix.api.cgi.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * Created by IntelliJ IDEA.
 * Author: xingxin.jing
 * Date: 2019/3/24
 * Time: 下午5:48
 */
@Data
public class AuthParamDto implements Serializable {

    private static final long serialVersionUID = -2812725718336183053L;

    @NotBlank(message = "grant_type为空!")
    private String grant_type;

    @NotBlank(message = "api_key为空!")
    private String api_key;

    @NotBlank(message = "api_secret为空!")
    private String api_secret;
}
