package com.platomix.api.cgi.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 *
 * @author jingxingxin
 * @date 2019-4-22
 *
 */
@Data
@TableName("t_api")
public class Api implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 编号 */
    @TableId
    private Integer apiId;

    /** 接口名称 */
    private String apiName;

    /** 请求地址 */
    private String url;

    /**  */
    private Integer apiTypeId;

    /** 调用量限制 */
    private String callLimit;

    /** QPS限制 */
    private String qpsLimit;

    /** 状态 0=免费使用 1=付费开通 2=测试使用 3=VIP使用 */
    private Integer status;

    /** 描述 */
    private String description;

    /** 描述 */
    private String extJson;

    private String whiteList;//白名单
    private String blackList;//黑名单


}